<?PHP 

function wpcwv2_admin_menu()
{
//	add_options_page("Content Warning", "CW v2 Settings", 'administrator', dirname(__FILE__).'/wpcwv2-settings.php');
	$plugin_page = add_menu_page( "Content Warning", "CW v2", 'administrator', 'content_warning_v2_options', 'wpcwv2_show_admin_page');
	$helpText = _("<p>First of all and possibly the most obvious is that you can enable or disable Content Warning V2 by un-checking the first box on the page.  If you can't understand that by now then please uninstall the plugin and save both you and I the headache.</p>");
	$helpText .= _("<p><strong>A NOTE ON COOKIE TIMEOUTS</strong>: Due to the fact that cookie data and timeouts can be modified by the end-user and/or their browsers, I cannot guarantee consistent results.  Cookie timeouts are calculated after you click \"Save Changes\" and the value you enter is multiplied by the data you select, for instance, 1 Day is equal to 86400 seconds.  Furthermore Months are calculated by the average of 30 days in a month, therefore 86400*30=2592000 and is then multiplied by your value.  This is not 100% accurate but it works.  The actual math would be to calculate one month based on weeks.  Therefore one month would have 4.33 weeks, multiplied that by 7.  I find it easier to just use my method and I see no need to change the math eventhough it's offset a little.</p>");
	$helpText .=_("<hr>");
	$helpText .=_("<p><strong>Now on to the help.</strong></p>");
	$helpText .= _("<p><sup>*new*</sup> <strong>Site-Wide Access</strong>: Allows a user to access the site by clicking [Enter] on any page they visit if the dialog is provided to them.  Therefore the dialog will never be seen by them again until after the cookie times out.<br />
					<strong>&bull;</strong> By disabling the site-wide access, this means any page or post a user visits will show the dialog.<br />
					<strong>&bull;</strong> Furthermore, this also disables the Enter Link's Page selections.<br />
					<strong>&bull;</strong> If the Allow Overrides is set to YES you will be able to use the Page selections, no matter if site-wide is selected or not.</p>");
	$helpText .= _("<p><sup>*new*</sup> <strong>Cookie Expiry Time</strong>: You can designate a timeframe <i>(please see above note on cookie timeouts)</i> or immediate death of a cookie.<br />
					<strong>&bull;</strong> Kill the cookie immediately will destroy it once the browser is closed.  This also disables the timeframe options below it.<br />
					<strong>&bull;</strong> If you don't want to kill the cookie quickly you can select the timeframe and multiplier. <i>(please view above notes for cookie formulas and a fallback on monthly calculations)</i></p>");
	$helpText .= _("<p><sup>*new*</sup> <strong>Allow Overrides</strong>: If this is enabled Authors and Administrators ONLY will have a dialog in posts and page editors to override the dialog requirement.</p>");
	$helpText .= _("<p><sup>*new*</sup> <strong>Default for Overrides</strong>: If the previous is selected to be NO, then this option is overridden and disabled.  Otherwise this determines the default value in Administrator's and Author's posts and pages.</p>");
	$helpText .= _("<p><strong>Message Title</strong>: This is self explanitory.  If you don't already know it's the dialog box's title once it is displayed.</p>");
	$helpText .= _("<p><strong>Message</strong>: Another self explanitory field.  However, the limitations of the HTML is UNKNOWN.</p>");
	$helpText .= _("<p><strong>EXIT Link</strong>: The old Text and URL fields were kept in place.<br />
					<sup>*new*</sup> <strong>&bull;</strong> Administrators can now select from a dopdown list of \"Pages\" pulled from Wordpress, however if Allow Overrides is not set to YES, then the Pages dropdown is disabled.<br />
					<sup>*new*</sup> <strong>&bull;</strong> If the URL field is blank a default url of http://www.yoursite.ext/# is assumed.<br />
					<sup>*new*</sup> <strong>&bull;</strong> Administrators will need to select the appropriate radio button beside the field they wish to use.</p>");
	$helpText .= _("<p><strong>ENTER Link</strong>: The old Text and URL fields were kept in place.<br />
					<sup>*new*</sup> <strong>&bull;</strong> Administrators can now select from a dopdown list of \"Pages\" pulled from Wordpress, however if Allow Overrides is not set to YES, then the Pages dropdown is disabled.<br />
					<sup>*new*</sup> <strong>&bull;</strong> If the URL field is blank a default url of http://www.yoursite.ext/# is assumed.<br />
					<sup>*new*</sup> <strong>&bull;</strong> Administrators will need to select the appropriate radio button beside the field they wish to use.</p>");
	$helpText .= _("<p></p>");
	$helpText .= _("<p></p>");
	add_contextual_help($plugin_page,$helpText);
}
function wpcwv2_show_admin_page(){
	include (dirname(__FILE__).'/../wpcwv2-settings.php');
}
function wpcwv2_load_admin_style(){
	//wp_enqueue_script('jquery-ui-core');
	wp_enqueue_style('wpcwv2_admin_style');
	wp_enqueue_script('wpcwv2_admin_js');
}
add_action('admin_init', 'wpcwv2_load_admin_style');
?>